Learn iPhone, iOS, Objective-c, Swift, cocos2dx, Unity and ….?

iOSやAndroid開発でのエラー解決法や便利tipsのメモ

RSS Feed

WordPressでエラー – Fatal error: require() [function.require]: Failed opening required ‘0php’’

0 Comments
Posted by Kuro on 2015/07/11

スポンサードリンク

xserver上に入れたwordpressをルートディレクトリからアクセスできるようにする方法で新しいサイトの設定を行ったのですが、サイトを開くと変なエラーが発生していて正しく表示されませんでした。

WordPressのエラー

“Warning: require(0php’)”とあるので”dirname( __FILE__ )”でファイル名が正しく取れていないようです。

index.phpの編集箇所はxserverの管理画面から編集画面を開いてコピペしたのですが、シングルクォーテーションに問題があったようです。

WordPressの仕様でシングルクォーテーションとダブルクオーテーションは勝手に読みやすく変形されるようです。

Macのスマート引用符なみにいらない機能ですね・・・。

コードを引用する部分は基本”crayon”というプラグインを使っていて、その部分は勝手に変換されないようになっているようです。

以下、エラーになるものとならないものを貼っておきます。

よく見ると17行目のシングルクォーテーションの部分が違います。

エラーになるindex.php

正常なindex.php

スポンサードリンク


Filed under WordPress
Tagged as , ,
You can leave a comment, or trackback from your own site.

0 Comments

You can be the first to comment!

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

スポンサードリンク

Popular Posts